//
//  DODiagnosticReportGenerator.h
//  DOCore
//
//  Created by Ben Dolman on 4/28/15.
//
//

#import <Foundation/Foundation.h>
@class DOJournalIndex;
@class DODiagnosticReport;

/**
 * Generates a diagnostic report that can be sent via email
 */
@interface DODiagnosticReportGenerator : NSObject

/**
 * Set this to get journal stats
 */
@property (strong) DOJournalIndex *journalIndex;

/**
 * Set this to get a log archive
 */
@property (copy) NSURL *logDirectory;

- (void)addCustomSectionWithTitle:(NSString *)titleText body:(NSString *)bodyText;

/**
 * Generates the report. The completion handler will be called on a background thread.
 */
- (void)generateReportWithCompletionHandler:(void(^)(DODiagnosticReport *report))completionHandler;

@end
