//
//  DOHTTPResponseTransformer.h
//  DOCore
//
//  Created by Ben Dolman on 3/3/15.
//
//

#import <Foundation/Foundation.h>

@protocol DOHTTPResponseFilter <NSObject>
@required

/**
 * A conforming class must implement this. It should attempt to process the object. If it fails
 * then it must set the error pointer to an NSError object and return nil
 *
 * @param object The object to process. Filters should document what kind of object they expect here.
 * @param response The original response. Filters can use this to look at headers for more context in filtering.
 * @param error The out error
 */
- (id)filterObject:(id)object forResponse:(NSHTTPURLResponse *)response error:(NSError **)error;
@end



