//
//  DOTodayEntriesSlot.h
//  DOCore
//
//  Created by Joshua Orr on 9/24/14.
//
//

#import <Foundation/Foundation.h>
#import "DOVersion.h"

@class DOEntry, DOTodayEntriesManager;

//! Used by DOTodayEntriesManager to communicate slot entry data for today extension.
@interface DOTodayEntriesSlot : NSObject <NSCoding>

//! Easily a entrySlot back with an entry and journalIndex set.
+ (instancetype)slotWithEntry:(DOEntry *)entry manager:(DOTodayEntriesManager *)manager;

//! UUID for the entry for slot
@property (nonatomic, readonly) NSString *uuid;

//! Creation date of entry for slot
@property (nonatomic, readonly) NSDate *creationDate;

//! Title of the slot entry
@property (nonatomic, readonly) NSString *title;


//! Implemented by subclass to return image to use for slot. Defaults to nil.
#if TARGET_IOS
@property (readonly) UIImage *image;
#else
@property (readonly) NSImage *image;
#endif

@end

