//
//  DOWebMusic.h
//  DOCore
//
//  Created by Ben Dolman on 7/30/14.
//
//

#import <DOCore/DOWebObject.h>
#import <DOCore/DOMusic.h>

@interface DOWebMusic : DOWebObject

@property (nonatomic, copy) NSString *track;
@property (nonatomic, copy) NSString *artist;
@property (nonatomic, copy) NSString *album;
@property (nonatomic, strong) NSNumber *albumYear;

/**
 * Initializes the object with the contents of the music object
 * from DOJournalEntryFile. Returns nil if the music arg in nil.
 */
- (instancetype)initWithEntryMusic:(DOMusic *)music;

/**
 * Converts this object to DOMusic.
 */
- (DOMusic *)entryMusic;

@end
