//
//  DOWebPublishLocation.h
//  DOCore
//
//  Created by Ben Dolman on 5/23/13.
//
//

#import "DOWebObject.h"
#import <CoreLocation/CoreLocation.h>

@class DOLocation;

@interface DOWebPublishLocation : DOWebObject

@property (nonatomic, copy) NSString *localityName;
@property (nonatomic, copy) NSString *administrativeArea;
@property (nonatomic, copy) NSString *country;
@property (nonatomic, copy) NSString *placeName;
@property (nonatomic, copy) NSNumber *latitude;
@property (nonatomic, copy) NSNumber *longitude;
@property (nonatomic, copy) NSString *foursquareID;
#if TARGET_IOS
@property (nonatomic, copy) CLCircularRegion *region;
#else
@property (nonatomic, copy) CLRegion *region;
#endif

/**
 * Initializes the object with the contents of the location object
 * from DOJournalEntryFile. Returns nil if location is nil.
 */
- (id)initWithEntryLocation:(DOLocation *)location;

/**
 * Converts this object to DOLocation
 */
- (DOLocation *)entryLocation;

@end
