//
//  DOWebPublishWeather.h
//  DOCore
//
//  Created by Ben Dolman on 5/23/13.
//
//

#import "DOWebObject.h"
#import "DOWeather.h"
#import "DOWebPublishDate.h"


@interface DOWebPublishWeather : DOWebObject

@property (nonatomic, copy) NSString *weatherDescription;
@property (nonatomic, copy) NSString *code;
@property (nonatomic, copy) NSNumber *tempCelsius;
@property (nonatomic, copy) NSString *service;

@property (nonatomic, copy) NSNumber *relativeHumidity;
@property (nonatomic, copy) NSNumber *pressureMB;
@property (nonatomic, copy) NSNumber *windSpeedKPH;
@property (nonatomic, copy) NSNumber *windBearing;
@property (nonatomic, copy) NSNumber *windChillCelsius;
@property (nonatomic, copy) NSNumber *visibilityKM;
@property (nonatomic, copy) DOWebPublishDate *sunriseDate;
@property (nonatomic, copy) DOWebPublishDate *sunsetDate;

/**
 * Initializes the object with the contents of the weather dictionary
 * from DOJournalEntryFile. Returns nil if dict is nil.
 */
- (id)initWithEntryWeather:(DOWeather *)weather;

/**
 * Converts this object to DOWeather.
 */
- (DOWeather *)entryWeather;

@end
