//
//  NSJSONSerialization+ASCII.h
//  DOCore
//
//  Created by Ben Dolman on 8/21/14.
//
//

#import <Foundation/Foundation.h>

@interface NSJSONSerialization (ASCII)

/**
 * Generates ASCII-encoded JSON data from a Foundation object. This behaves like dataWithJSONObject:options:error:
 * except that it produces strict ASCII-encoded data rather than UTF-8. Extended Unicode chars are backslash-escaped.
 * Also, unlike dataWithJSONObject:options:error:, this method allows NSString, NSNumber and NSNull as root objects
 * in addition to NSArray and NSDictionary.
 */
+ (NSData *)ASCIIDataWithJSONObject:(id)obj options:(NSJSONWritingOptions)opt error:(NSError **)error;

@end
